/* ----------------------------------------------
HarmonyOS Sans local font family.
Used as primary theme font (frontend + editor).
---------------------------------------------- */

@font-face {
	font-family: "HarmonyOS Sans";
	font-style: normal;
	font-weight: 100;
	font-display: swap;
	src: url(../fonts/harmony/HarmonyOS_Sans_Thin.ttf) format("truetype");
}

@font-face {
	font-family: "HarmonyOS Sans";
	font-style: italic;
	font-weight: 100;
	font-display: swap;
	src: url(../fonts/harmony/HarmonyOS_Sans_Thin_Italic.ttf) format("truetype");
}

@font-face {
	font-family: "HarmonyOS Sans";
	font-style: normal;
	font-weight: 300;
	font-display: swap;
	src: url(../fonts/harmony/HarmonyOS_Sans_Light.ttf) format("truetype");
}

@font-face {
	font-family: "HarmonyOS Sans";
	font-style: italic;
	font-weight: 300;
	font-display: swap;
	src: url(../fonts/harmony/HarmonyOS_Sans_Light_Italic.ttf) format("truetype");
}

@font-face {
	font-family: "HarmonyOS Sans";
	font-style: normal;
	font-weight: 400;
	font-display: swap;
	src: url(../fonts/harmony/HarmonyOS_Sans_Regular.ttf) format("truetype");
}

@font-face {
	font-family: "HarmonyOS Sans";
	font-style: italic;
	font-weight: 400;
	font-display: swap;
	src: url(../fonts/harmony/HarmonyOS_Sans_Regular_Italic.ttf) format("truetype");
}

@font-face {
	font-family: "HarmonyOS Sans";
	font-style: normal;
	font-weight: 500;
	font-display: swap;
	src: url(../fonts/harmony/HarmonyOS_Sans_Medium.ttf) format("truetype");
}

@font-face {
	font-family: "HarmonyOS Sans";
	font-style: italic;
	font-weight: 500;
	font-display: swap;
	src: url(../fonts/harmony/HarmonyOS_Sans_Medium_Italic.ttf) format("truetype");
}

@font-face {
	font-family: "HarmonyOS Sans";
	font-style: normal;
	font-weight: 700;
	font-display: swap;
	src: url(../fonts/harmony/HarmonyOS_Sans_Bold.ttf) format("truetype");
}

@font-face {
	font-family: "HarmonyOS Sans";
	font-style: italic;
	font-weight: 700;
	font-display: swap;
	src: url(../fonts/harmony/HarmonyOS_Sans_Bold_Italic.ttf) format("truetype");
}

@font-face {
	font-family: "HarmonyOS Sans";
	font-style: normal;
	font-weight: 900;
	font-display: swap;
	src: url(../fonts/harmony/HarmonyOS_Sans_Black.ttf) format("truetype");
}

@font-face {
	font-family: "HarmonyOS Sans";
	font-style: italic;
	font-weight: 900;
	font-display: swap;
	src: url(../fonts/harmony/HarmonyOS_Sans_Black_Italic.ttf) format("truetype");
}
